OneBasket

Select time slot

POST
/baskets/{id}/products/{productId}/time-slots/select-slot

Selects a given time slot for the given product.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The id of the basket

productId*string

The id of the time slot product.

Header Parameters

x-api-key*string

Request Body

application/json

Select the timeslot and rates for that slot to purchase

TypeScript Definitions

Use the request body type in TypeScript.

Select a time slot to purchase, with the given rates

Response Body

application/json

curl -X POST "https://example.com/baskets/string/products/string/time-slots/select-slot" \  -H "x-api-key: string" \  -H "Content-Type: application/json" \  -d '{    "timeSlotId": "string",    "rates": [      {        "rateId": "string",        "quantity": 0      }    ]  }'
{  "notificationId": "string"}